import coffee_nester
"""이 파일은 nester.py 모듈이며, print_lol() 함수 하나를 제공합니다.
    이 함수는 포함된 리스트가 있을 경우 그것을 포함해서 리스트의
    모든 항목을 화면에 출력합니다."""

movies = ["The Holy Grail", 1975, "Terry Jones & Terry Gilliam", 91,
          ["Graham Chapman", ["Michael Palin", "John cleese",
          "Terry Gilliam", "Eric Idle", "Terry John"]]]

def print_lol(the_list, tab_num):
        """이 함수는 the_list라는 이름의 인자를 갖고 있으며, 파이썬 리스트를
            받습니다. 이 리스트는 리스트도 포함할 수 있습니다. 매 라인마다 리스트에
            있는 항목이 하나씩 재귀적으로 화면에 출력됩니다.
            두 번째 tab_num 인자는 재귀적으로 출력되는 항목에 tab을 몇개를 출력할지
            결정합니다."""
        for each_item in the_list:
                if isinstance(each_item, list):
                        coffee_nester.print_lol(each_item, tab_num+1)
                else:
                        for num in range(tab_num):
                                print("\t", end='')
                        print(each_item)
